const mongoose = require('mongoose')



const ComplaintSchema = mongoose.Schema({

      fullName: String,
      national: String,
      phoneNumber: String,
      deviceNumber: String,
      email: String,
      receptionCode: String,
      caption: String,
      callType: Boolean,
      brand: Boolean,
      desc:String,
      type:{
            type:Number,
            default:0
      },
      read: { type: Boolean, default: false },
      user:{type:String, ref:'User'},
      complete: { type: Boolean, default: false },

})


module.exports = mongoose.model('Complaint', ComplaintSchema)
